## org.apache.mahout.df
Class Bagging

    java.lang.Object
      org.apache.mahout.df.Bagging

    public class Bagging

extends java.lang.Object

Builds a tree using bagging

Constructor Summary
`Bagging(TreeBuilder treeBuilder, Data data)`

Method Summary
`Node` `build(int treeId, java.util.Random rng, PredictionCallback callback)` Builds one tree

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bagging

    public Bagging(TreeBuilder treeBuilder,
                   Data data)

Method Detail

### build

    public Node build(int treeId,
                      java.util.Random rng,
                      PredictionCallback callback)

  Builds one tree

  Parameters:
    `treeId` - tree identifier

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.